package com.alihealth.d2d.provtest.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Builder;
import lombok.Data;

import javax.persistence.Column;
import java.util.Date;

/**
 * 温度信息子集-运输温度信息(TransportTemperatureApplyInfo)表实体类
 *
 * @author makejava
 * @since 2025-06-11 17:43:41
 */
@SuppressWarnings("serial")
@Data
@Builder
@TableName("transport_temperature_apply_info")
public class TransportTemperatureApplyInfo {
    //主键ID
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //事件流水号
    @Column(name = "event_id")
    private String eventId;
    //事件响应时间
    @Column(name = "rec_time")
    private Date recTime;
    //统一社会信用代码
    @Column(name = "tyshxydm")
    private String tyshxydm;
    //企业名称
    @Column(name = "qymc")
    private String qymc;
    //发货单号
    @Column(name = "fhdh")
    private String fhdh;
    //温度信息
    @Column(name = "wdxx")
    private String wdxx;
    //存储设备编号
    @Column(name = "ccsbbh")
    private String ccsbbh;
    //存储设备名称
    @Column(name = "ccsbmc")
    private String ccsbmc;
    //运输企业统一社会信用代码
    @Column(name = "ysqytyshxydm")
    private String ysqytyshxydm;
    //运输企业名称
    @Column(name = "ysqyqymc")
    private String ysqyqymc;
    //创建时间
    @Column(name = "create_time")
    private Date createTime;
    //更新时间
    @Column(name = "update_time")
    private Date updateTime;
    //是否删除(0-否 1-是)
    @Column(name = "is_deleted")
    private Integer isDeleted;

}

