package com.alihealth.d2d.provtest.VO;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 药品收货单信息，多条
 */
@Data
public class DrugDeliveryNoteInfoVO implements Serializable {

    private static final long serialVersionUID = -6817830718249051422L;

    /**
     * 收货时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date shsj;

    /**
     * 收货公司社会信用代码
     */
    private String tyshxydmshjg;

    /**
     * 收货公司名称
     */
    private String shjgmc;

    /**
     * 收货单号
     */
    private String shdbh;
}
